[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTVHasChildrenEvent

Specifies an event handler signalled to determine if a given tree node has child nodes.

## Declaration

Source position: comctrls.pp line 2963

`type TTVHasChildrenEvent = function(`
`Sender: TCustomTreeView;`
`ANode: TTreeNode`
`):Boolean of object;`

## Arguments

`Sender` |  | Object (TCustomTreeView ) for the event notification.
`ANode` |  | Tree node examined in the routine.

## Function result

True if the specified node has child nodes.

## Description

TTVHasChildrenEvent is the type used for the OnHasChildren property in TCustomTreeView.

## See also

TCustomTreeView.OnHasChildren |  | Event handler signalled to determine if a given node in the tree view has child nodes.
TTreeNode.HasChildren |  | Indicates whether the tree node has child nodes.